Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 56381 - A11Y Primary key not distinguished enough
A11Y Primary key not distinguished enough
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
4.x
All All
: P4 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
: A11Y
Depends on:
Blocks: 152673
  Show dependency treegraph
 
Reported: 2005-03-14 14:20 UTC by Petr Jiricka
Modified: 2010-01-11 04:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2005-03-14 14:20:34 UTC
The primary key column of a table in database explorer is distinguished through
icon of the column node, which has different color than icons for other columns.
Not nice for colorblind people -> accessibility problem.
Comment 1 Petr Jiricka 2005-03-14 14:23:23 UTC
Workaround 1: hold the mouse over the column icon, it will show the tooltip.
Tooltip for primary key is "Primary Key".

Workaround 2: go to properties of the column node through popup menu. Primary
key nodes have "Primary key" written at the bottom.
Comment 2 Radko Najman 2005-03-16 16:32:27 UTC
It is a common way in all database tools to distinguish primary key columns by
this way.

Assigning to the HIE team to propose better solution if there is any.
Comment 3 Jiri Kopsa 2005-04-01 13:32:32 UTC
This issue will be addressed by different icons (or badges) for general columns
and primary keys.

This will be done probably along with other icons in promo-f.
Comment 4 Petr Blaha 2006-03-13 13:32:18 UTC
TM 5.0 -> TBD
Comment 5 Jiri Kopsa 2006-08-16 16:39:43 UTC
Reassigning to Jano, who works on Java EE in NetBeans.
Comment 6 Quality Engineering 2009-06-12 19:58:51 UTC
Integrated into 'main-golden', will be available in build *200906121401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a18db0497da5
User: Jiri Skrivanek <jskrivanek@netbeans.org>
Log: #56381 - Display correct tooltip for primary key and index.
Comment 7 Jiri Rechtacek 2010-01-11 04:45:44 UTC
it seems as fixed in main-golden/rev/a18db0497da5


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo